package expressionprog;

import java.util.ArrayList;
import java.util.Scanner;

/**
 * Lets the user enter expressions.  The expressions are parsed.
 * If there is no error, the ProgramItems in the resulting program
 * are printed out, showing the operations that should be applied
 * when the program is executed.  The program ends when the user enters 
 * an empty line.
 */
public class ParserTest {
	
	public static void main(String[] args) {
		Scanner in = new Scanner(System.in);
		System.out.println("Enter expressions; press return to end.");
		while (true) {
			System.out.println();
			System.out.print("? ");
			String line = in.nextLine();
			if (line.trim().length() == 0)
				break;
			try {
				ArrayList<ProgramItem> prog = Parser.parse(line);
				for (ProgramItem item : prog) {
					System.out.println("   " + item);
				}
			}
			catch (IllegalArgumentException e) {
				System.out.println("Error " + e.getMessage());
			}
		}
		in.close();
	}

}
